<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" schema="www-attack" id="requests-by-attack" 
 charttype="bars">

 <lire:title>Requests By Attack Report</lire:title>
 <lire:description>
  <para>This report shows the number of requests for each attack.</para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Requests By Attack</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:ne arg1="$attack" arg2="Unknown/No_Attack"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total">
   <lire:field name="attack"/>

   <lire:count name="request_total" label="Attempts"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

